[@algorandfoundation/algokit-utils](../README.md) / [types/network-client](../modules/types_network_client.md) / AlgoConfig

# Interface: AlgoConfig

[types/network-client](../modules/types_network_client.md).AlgoConfig

Configuration for algod, indexer and kmd clients.

## Table of contents

### Properties

- [algodConfig](types_network_client.AlgoConfig.md#algodconfig)
- [indexerConfig](types_network_client.AlgoConfig.md#indexerconfig)
- [kmdConfig](types_network_client.AlgoConfig.md#kmdconfig)

## Properties

### algodConfig

• **algodConfig**: [`AlgoClientConfig`](types_network_client.AlgoClientConfig.md)

Algod client configuration

#### Defined in

[src/types/network-client.ts:16](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L16)

___

### indexerConfig

• `Optional` **indexerConfig**: [`AlgoClientConfig`](types_network_client.AlgoClientConfig.md)

Indexer client configuration

#### Defined in

[src/types/network-client.ts:18](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L18)

___

### kmdConfig

• `Optional` **kmdConfig**: [`AlgoClientConfig`](types_network_client.AlgoClientConfig.md)

Kmd configuration

#### Defined in

[src/types/network-client.ts:20](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L20)
